Loading...
Searching...
No Matches
osim_reader_hdl Struct Reference

`#include <sim.h>`

## Data Fields

struct llist_head | list
| member in global list of readers
const struct osim_reader_ops * | ops
uint32_t | proto_supported
void * | priv
struct osim_card_hdl * | card
| current card, if any

## Field Documentation

## card

struct osim_card_hdl* osim_reader_hdl::card

current card, if any

Referenced by osim_card_close(), osim_card_reset(), pcsc_card_open(), and pcsc_get_atr().

## list

struct llist_head osim_reader_hdl::list

member in global list of readers

## ops

const struct osim_reader_ops* osim_reader_hdl::ops

Referenced by osim_card_close(), osim_card_open(), osim_card_reset(), osim_reader_open(), and transceive_apdu_t0().

## priv

void* osim_reader_hdl::priv

Referenced by pcsc_card_close(), pcsc_card_open(), pcsc_card_reset(), pcsc_get_atr(), pcsc_reader_open(), and pcsc_transceive().

## proto_supported

uint32_t osim_reader_hdl::proto_supported

Referenced by osim_card_open(), and osim_reader_open().

The documentation for this struct was generated from the following file:

- include/osmocom/sim/sim.h